Prepublish scripts are run on dep install #4396

Closed
vendethiel opened this Issue Dec 30, 2013 · 3 comments

Comments

Projects
None yet
3 participants
@vendethiel
//> npm version
{ http_parser: '1.0',
  node: '0.11.9',
  v8: '3.22.24.5',
  uv: '0.11.15',
  zlib: '1.2.3',
  modules: '13',
  openssl: '1.0.1e',
  npm: '1.3.15' }

When trying to install linify, I get an error Cannot find module 'minimatch' on prepublish script, even if the dependency is listed.
According to @ForbesLindesay this problem doesn't exist on stable node (Opening here because it seems modules-related more than node-related).

@ForbesLindesay

This comment has been minimized.

Show comment
Hide comment
@ForbesLindesay

ForbesLindesay Dec 30, 2013

Member

Sorry, the issue title isn't quite right. The issue is that prepublish scripts are being run on install, even when being installed as a dependency of something else.

Member

ForbesLindesay commented Dec 30, 2013

Sorry, the issue title isn't quite right. The issue is that prepublish scripts are being run on install, even when being installed as a dependency of something else.

@vendethiel

This comment has been minimized.

Show comment
Hide comment
@vendethiel

vendethiel Dec 30, 2013

Updated.

Updated.

@othiym23

This comment has been minimized.

Show comment
Hide comment
@othiym23

othiym23 Oct 3, 2014

Contributor

Closed as duplicate of #3059.

Contributor

othiym23 commented Oct 3, 2014

Closed as duplicate of #3059.

@othiym23 othiym23 closed this Oct 3, 2014

@othiym23 othiym23 added the bug label Oct 3, 2014

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment